#!/usr/bin/env bash

# check for required pk3.
source ${0%/*}/TobyCustom/.dependencies
check_dependencies "${gamePath}/Project_Brutality-Latest.pk3" \
    "https://www.moddb.com/mods/project-brutality" \
    "This should be included by default." \
    'If you are seeing this message, please reinstall after removing any TobyDoom files from ~/.cache/linux-game-manager.' \
    'rm -f ~/.cache/linux-game-manager/TobyAccessibilityMod_Version*'

# Set up the pk3 and wad files 
gameOption=(
    "${gamePath}/TobyAccMod_V${tobyVersion}.pk3"
    "$gamePath/Addons/MENU/TobyV${tobyVersion%%-*}_"*
    "$gamePath/Addons/DOOM/TobyV${tobyVersion%%-*}_Proximity.pk3"
    "${gamePath}/Project_Brutality-Latest.pk3"
)

# Check for and include if present a wad. Some people may not have it.
if [[ -e "${gamePath}/DoomMetalVol7.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol7.wad")
elif [[ -e "${gamePath}/DoomMetalVol6.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol6.wad")
fi

source ${0%/*}/TobyCustom/.mapmenu
flags=(
    # Key bindings
    '+bind Alt +altattack'
    '+bind Ctrl +attack'
    '+bind G +User1'
    '+bind U unreloader'
    # Variables
    '+Toby_NarrationOutputType 2'
    '+pb_exaggeratedrecoil false'
    '+pb_weapon_recoil_mod_horizontal 0'
    '+pb_weapon_recoil_mod_vertical 0'
    '+vertspread true'
)
